$(document).ready(function() {

	$('form #error-message').hide();

	$('#submit').on('click', function(e) {
		e.preventDefault();
		/* Act on the event */

		var valid = '';
		var required = ' is required';
		var fname = $('form #fname').val();
		var dname = $('form #dname').val();
		var sdate = $('form #sdate').val();
		var message = $('form #message').val();

		if (fname = '' || fname.length <= 2) {
			valid += '<p><span>X</span>Your Full Name ' + required + '</p>';
		}

		if (dname = '' || dname.length <= 2) {
			valid += '<p><span>X</span>Your Disease Name ' + required + '</p>';
		}

		if (sdate = '' || sdate.length <= 2) {
			valid += '<p><span>X</span>Your Booking Date ' + required + '</p>';
		}

		if(message = '' || message.length <= 5){
			valid += '<p><span>X</span>Your Message ' + required + '</p>';
		}


		if(valid != '') {
			$('form #error-message').removeClass().addClass('animated bounceIn warning')
			.html('<h5>Please Correct the following errors</h5>' +  valid).fadeIn('fast');
		} else {
			var contactData =  $('form').serialize();
			console.log(contactData);
			$.ajax({
				type: 'POST',
				url: 'ajaxform/process.php',
				data: contactData,
				success: function(){
					$('#error-message').removeClass().addClass('animated fadeInDown success')
					.html("<h5>Thanks You for contacting with us. We will be reply soon</h5>").fadeIn();
					if($('#error-message').hasClass('success')) {
						setTimeout("$('#error-message').fadeOut('fast')", 5000);
					}
				},
				error: function() {
					$('#error-message').removeClass().addClass('animated fadeInDown alert error')
					.html("An error occured. Please Try again later").fadeIn();
				},
				complete: function() {
					$('form')[0].reset();
				}

			});
		}
	});
});